local fadeInTime = 1.0;
local fadeOutTime = 2.0;

local t = Def.ActorFrame{
	LoadActor("BGA_PEACE")..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,2;diffusealpha,0;linear,fadeInTime;diffusealpha,1;linear,fadeOutTime;diffusealpha,0;);
	};

	LoadActor("BGA_TRANQUILITY")..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,2;diffusealpha,0;sleep,fadeInTime;linear,fadeInTime;diffusealpha,1;linear,fadeOutTime;diffusealpha,0;);
	};

	LoadActor("BGA_SWEET")..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,2;diffusealpha,0;sleep,fadeInTime*2;linear,fadeInTime;diffusealpha,1;linear,fadeOutTime;diffusealpha,0;);
	};

	--[[
	Def.Quad{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;FullScreen;diffuse,color("0,0,0,1");diffusealpha,0;sleep,0.01;sleep,2.0;sleep,2.0;sleep,2.0;diffusealpha,1;linear,2.0;sleep,10;);
	};
	]]
};

return t;

--[[

overall time analysis:

peace = sleep,0.01;linear,2.0;sleep,10;						= 12.01 seconds
tranq = sleep,0.01;sleep,2.0;linear,2.0;sleep,10;			= 14.01 seconds
sweet = sleep,0.01;sleep,2.0;sleep,2.0;linear,2.0;sleep,10;	= 16.01 seconds

]]